---
name: Bug report
about: Report a bug in the gem
labels: 'issue: bug, needs triage'
---

<!--
    Please use this template and fill in as many fields below as you can.
    The more details you give us on the problem, the more likely we will be able to help.
-->

### Describe the bug

(Describe the problem you are experiencing here.)

### Environment

<!--
  To help identify if a problem is specific to a platform, gem version or dependencies version, we will need you Gemfile and Gemfile.lock. Please paste the links to these files or a gist of their content.
-->

(paste the link(s) to the Gemfile and Gemfile.lock files.)

### Steps to reproduce

<!--
  How would you describe your issue to someone who doesn’t know you or your project?
  Try to write a sequence of steps that anybody can repeat to see the issue.
-->

(Write your steps here:)

1.
2.
3.

### Expected behavior

<!--
  How did you expect the tool to behave?
  It’s fine if you’re not sure your understanding is correct.
  Just write down what you thought would happen.
-->

(Write what you thought would happen.)

### Actual behavior

<!--
  Did something go wrong?
  Is something broken, or not behaving as you expected?
  Please attach relevant stacktraces or query/mutation responses when possible. They are very helplful.
-->

(Write what happened. Please add stacktraces or http responses!)

### Reproducible demo

<!--
  If you can, please share a project that reproduces the issue.
  For this you can :

    * Create a new rails app
    * Add the gem version in the Gemfile
    * Try to reproduce the issue in it.

  Another possibility is to copy your app and remove all the things you don't want to be public.
-->

(Paste the link to an example project and exact instructions to reproduce the issue.)

<!--
  What happens if you skip this step?

  We will try to help you, but in many cases it is impossible because crucial
  information is missing. In that case we'll tag an issue as having a low priority,
  and eventually close it if there is no clear direction.

  We still appreciate the report though, as eventually somebody else might
  create a reproducible example for it.
-->
